ArrayList<Entity> entities = new ArrayList<Entity>();

void setup() {
  size(800,600);
  Opponent opponent = new Opponent();
  Player player = new Player();
  ScoreKeeper keeper = new ScoreKeeper();
  Ball ball = new Ball(new Paddle[] {opponent, player}, keeper);
  opponent.trackBall(ball);
  entities.add(ball);
  entities.add(opponent);
  entities.add(player);
  entities.add(keeper);
}
void draw() {
  background(255);
  update();
  render();
}

void render() {
  for(Entity entity : entities) {
    entity.render();
  }
}

void update() {
  for(Entity entity : entities) {
    entity.update();
  }
}
